Bug 1014676 - [abrt] udisks2-2.1.0-4.el7: g_dbus_object_get_interface: Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
[abrt] udisks2-2.1.0-4.el7: g_dbus_object_get_interface: Process /usr/lib/udi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: udisks2 (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomáš Bžatek
Desktop QE
abrt_hash:5a3631d1d401ec350b33523ec5c...
:
: 1049952 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 10:10 EDT by Vladimir Benes
Modified: 2015-03-03 18:06 EST (History)
4 users (show)

See Also:
Fixed In Version: udisks2-2.1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.66 KB, text/plain)
2013-10-02 10:10 EDT, Vladimir Benes
no flags Details
File: cgroup (157 bytes, text/plain)
2013-10-02 10:10 EDT, Vladimir Benes
no flags Details
File: core_backtrace (19.19 KB, text/plain)
2013-10-02 10:10 EDT, Vladimir Benes
no flags Details
File: dso_list (2.24 KB, text/plain)
2013-10-02 10:10 EDT, Vladimir Benes
no flags Details
File: environ (72 bytes, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: maps (12.06 KB, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: open_fds (1.23 KB, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details
File: var_log_messages (3.81 KB, text/plain)
2013-10-02 10:11 EDT, Vladimir Benes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 72956 None None None Never

  None (edit)
Description Vladimir Benes 2013-10-02 10:10:43 EDT
Description of problem:
mount iso of rhel7 by clicking it in nautilus

Version-Release number of selected component:
udisks2-2.1.0-4.el7

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.10.0-29.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_dbus_object_get_interface at gdbusobject.c:144
 #1 udisks_object_peek_block at udisks-generated.c:31031
 #2 wait_for_loop_object at udiskslinuxmanager.c:233
 #3 udisks_daemon_wait_for_object_sync at udisksdaemon.c:884
 #4 handle_loop_setup at udiskslinuxmanager.c:450
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:522
 #7 g_cclosure_marshal_generic at gclosure.c:1454
 #10 g_signal_emitv at gsignal.c:3059
 #11 _udisks_manager_skeleton_handle_method_call at udisks-generated.c:1306
Comment 1 Vladimir Benes 2013-10-02 10:10:47 EDT
Created attachment 806506 [details]
File: backtrace
Comment 2 Vladimir Benes 2013-10-02 10:10:50 EDT
Created attachment 806507 [details]
File: cgroup
Comment 3 Vladimir Benes 2013-10-02 10:10:53 EDT
Created attachment 806508 [details]
File: core_backtrace
Comment 4 Vladimir Benes 2013-10-02 10:10:56 EDT
Created attachment 806509 [details]
File: dso_list
Comment 5 Vladimir Benes 2013-10-02 10:11:03 EDT
Created attachment 806510 [details]
File: environ
Comment 6 Vladimir Benes 2013-10-02 10:11:11 EDT
Created attachment 806511 [details]
File: exploitable
Comment 7 Vladimir Benes 2013-10-02 10:11:21 EDT
Created attachment 806512 [details]
File: limits
Comment 8 Vladimir Benes 2013-10-02 10:11:24 EDT
Created attachment 806513 [details]
File: maps
Comment 9 Vladimir Benes 2013-10-02 10:11:27 EDT
Created attachment 806514 [details]
File: open_fds
Comment 10 Vladimir Benes 2013-10-02 10:11:39 EDT
Created attachment 806515 [details]
File: proc_pid_status
Comment 11 Vladimir Benes 2013-10-02 10:11:44 EDT
Created attachment 806516 [details]
File: var_log_messages
Comment 13 Tomáš Bžatek 2014-01-13 10:49:18 EST
Related Fedora report: bug 1007223
Upstream bug tracker: https://bugs.freedesktop.org/show_bug.cgi?id=72956

Patch available upstream.
Comment 14 Tomáš Bžatek 2014-01-13 10:57:41 EST
*** Bug 1049952 has been marked as a duplicate of this bug. ***
Comment 16 Vladimir Benes 2014-02-04 09:37:18 EST
iso mount works well now
Comment 17 Lubomir Rintel 2014-02-11 09:29:57 EST
Just clicked on a downloaded solaris 11 iso.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.10.0-54.0.1.el7.x86_64.debug
package:        udisks2-2.1.0-4.el7
reason:         Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
runlevel:       unknown
type:           CCpp
uid:            0
Comment 18 Ludek Smid 2014-06-13 07:04:21 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.